/***************************************************
//Web: http://www.buydisplay.com
EastRising Technology Co.,LTD
Examples for ER-OLEDM0.96-7
Display is Hardward SPI 4-Wire SPI Interface 
Tested and worked with:
Works with Arduino 1.6.0 IDE  
Test OK : Arduino DUE,Arduino mega2560,Arduino UNO Board 
****************************************************/

/*
  == Hardware connection ==
    OLED   =>    Arduino
  *1. GND    ->    GND
  *2. VCC    ->    3.3
  *3. SCL    ->    SCK
  *4. SDA    ->    MOSI
  *5. RES    ->    8 
  *6. DC     ->    9
  *7. CS     ->    10
*/


#include <SPI.h>
#include "er_oled.h"

uint8_t oled_buf[WIDTH * HEIGHT / 8];

void setup() {
  Serial.begin(9600);
  Serial.print("OLED Example\n");

  /* display an image of bitmap matrix */
  er_oled_begin();
 
}

void loop() {
 er_oled_clear(oled_buf);
  er_oled_bitmap(0, 0, PIC1, 64, 128, oled_buf);
  er_oled_display(oled_buf);
  delay(3000);  
  command(0xa7);//--set Negative display 
  delay(3000);
  command(0xa6);//--set normal display
  
  er_oled_clear(oled_buf);
  er_oled_bitmap(0, 0, PIC2, 64, 128, oled_buf);
  er_oled_display(oled_buf);
  delay(3000);
  
  command(0xa7);//--set Negative display 
  delay(3000); 
  command(0xa6);//--set normal display  
  
   
  er_oled_clear(oled_buf);
  er_oled_bitmap(0, 2, Signal816, 16, 8, oled_buf); 
  er_oled_bitmap(19, 2, Msg816, 16, 8, oled_buf); 
  er_oled_bitmap(38, 2, Bluetooth88, 8, 8, oled_buf); 
  er_oled_bitmap(52, 2, GPRS88, 8, 8, oled_buf); 

  er_oled_char(0, 22, '2' ,16, 1, oled_buf);
  er_oled_char(8, 22, '0', 16, 1, oled_buf);
  er_oled_char(16, 22, '2', 16, 1, oled_buf);
  er_oled_char(24, 22, '0', 16, 1, oled_buf);
  er_oled_char(32, 22, '0', 16, 1, oled_buf);
  er_oled_char(40, 22, '5', 16, 1, oled_buf);
  er_oled_char(48, 22, '2', 16, 1, oled_buf);
  er_oled_char(56, 22, '8', 16, 1, oled_buf);
  
  er_oled_string(0, 48, "EastRising", 12, 1, oled_buf);
  
  
  er_oled_bitmap(0, 66, Signal816, 16, 8, oled_buf); 
  er_oled_bitmap(19, 66, Msg816, 16, 8, oled_buf); 
  er_oled_bitmap(38, 66, Bluetooth88, 8, 8, oled_buf); 
  er_oled_bitmap(52, 66, GPRS88, 8, 8, oled_buf); 

  er_oled_char(0, 86, '1' ,16, 1, oled_buf);
  er_oled_char(8, 86, '2', 16, 1, oled_buf);
  er_oled_char(16,86, ':', 16, 1, oled_buf);
  er_oled_char(24, 86, '0', 16, 1, oled_buf);
  er_oled_char(32, 86, '6', 16, 1, oled_buf);
  er_oled_char(40, 86, ':', 16, 1, oled_buf);
  er_oled_char(48,86, '1', 16, 1, oled_buf);
  er_oled_char(56,86, '8', 16, 1, oled_buf);
  
  er_oled_string(0, 112, "buydisplay", 12, 1, oled_buf); 
  er_oled_display(oled_buf); 

    delay(3000);  
  
  
  
  /*
  
  er_oled_clear(oled_buf);
  // display images of bitmap matrix
  er_oled_bitmap(0, 2, Signal816, 16, 8, oled_buf); 
  er_oled_bitmap(20, 2,Bluetooth88, 8, 8, oled_buf); 
  er_oled_bitmap(32, 2, Msg816, 16, 8, oled_buf); 
  er_oled_bitmap(60, 2, GPRS88, 8, 8, oled_buf); 
  er_oled_bitmap(72, 2, Bat816, 16, 8, oled_buf); 

  er_oled_string(8, 20, "Time:", 16, 0, oled_buf); 
  er_oled_string(8, 36, "Hour:", 16, 1, oled_buf); 
  er_oled_char3216(52, 20, '2', oled_buf);
  er_oled_char3216(68, 20, '1', oled_buf);
  er_oled_char3216(4, 65, '1', oled_buf);
  er_oled_char3216(20, 65, '2', oled_buf);
  er_oled_char3216(36, 65, ':' , oled_buf);
  er_oled_char3216(52, 65, '0', oled_buf);
  er_oled_char3216(68, 65, '5', oled_buf);
  
  er_oled_string(4, 112, "buydisplay", 16, 1, oled_buf); 
  er_oled_display(oled_buf); 
    delay(3000); */
}

